
#include <stdlib.h>
#include <stdio.h>
#include "t_point.h"
#include "t_vecteur.h"
#include "t_polygone.h"

int main(void)
{
	t_point* p1;
	t_point* p2;
	t_vecteur *mon_vecteur;
	t_polygone *un_rectangle;

	p1 = t_point_init_coords(10, 10);
	p2 = t_point_init_coords(15, 12);

	printf("La distance entre les points P1 et P2 est de: %.2lf\n", t_point_calculer_distance(p1, p2));

	//On cre un vecteur
	mon_vecteur = t_vecteur_init(10, 20, 14, 23);

	t_vecteur_translater(mon_vecteur, 4.5, 6);

	un_rectangle = t_polygone_init(4);
	t_polygone_set_pointx(un_rectangle, 0, 1, 1);
	t_polygone_set_pointx(un_rectangle, 1, 15, 1);
	t_polygone_set_pointx(un_rectangle, 2, 15, 12);
	t_polygone_set_pointx(un_rectangle, 3, 1, 12);

	printf("Le perimetre du rectangle est de: %.2lf\n", t_polygone_calculer_perimetre(un_rectangle));


	system("pause");
	return EXIT_SUCCESS;
}