#include "t_point.h"

t_point * t_point_init(void)
{
	t_point *nouv_point;

	//Allocation de la mmoire pour le nouveau point
	nouv_point = (t_point*)malloc(sizeof(t_point));

	return nouv_point;
}

t_point * t_point_init_coords(double x, double y)
{
	t_point *nouv_point;

	//Allocation de la mmoire pour le nouveau point
	//en utilisant le constructeur par dfaut
	nouv_point = t_point_init(); 

	//Dfinition des coordonnes du point
	nouv_point->x = x;
	nouv_point->y = y;

	return nouv_point;
}

void t_point_destroy(t_point * p)
{
	free(p);
}

double t_point_get_x(const t_point * p)
{
	return p->x;
}

double t_point_get_y(const t_point * p)
{
	return p->y;
}

void t_point_set_x(t_point * p, double x)
{
	p->x = x;
}

void t_point_set_y(t_point * p, double y)
{
	p->y = y;
}

double t_point_calculer_distance(const t_point * p1, const t_point * p2)
{
	double distance; 

	distance = pow(p2->x - p1->x, 2) + pow(p2->y - p1->y,2);
	
	distance = sqrt(distance);

	return distance;
}

void t_point_deplacer(t_point * p, double dx, double dy)
{
	p->x += dx;
	p->y += dy;
}
