
#ifndef T_POINT_H_
#define T_POINT_H_

#include <stdlib.h>
#include <math.h>

//Dfinition du type point
typedef struct t_point {
	double x; //Abscisse
	double y; //Ordone
} t_point;

t_point *t_point_init(void);

t_point *t_point_init_coords(double x, double y);

void t_point_destroy(t_point *p);

double t_point_get_x(const t_point *p);

double t_point_get_y(const t_point *p);

void t_point_set_x(t_point *p, double x);

void t_point_set_y(t_point *p, double y);

//Calcule la distance entre les points p1 et p2
double t_point_calculer_distance(const t_point *p1, const t_point *p2);

//Dplace le point x d'une distance (dx, dy) 
void t_point_deplacer(t_point *p, double dx, double dy); 

#endif // !T_POINT_H_
