#ifndef T_VECTEUR_H_
#define T_VECTEUR_H_

#include <stdlib.h>
#include "t_point.h"

//Dfinition du type vecteur
typedef struct t_vecteur {
	t_point *p1;
	t_point *p2;
} t_vecteur;

t_vecteur *t_vecteur_init(double x1, double y1, double x2, double y2);

void t_vecteur_destroy(t_vecteur *vecteur);

t_point *t_vecteur_get_point1(const t_vecteur *vecteur);

t_point *t_vecteur_get_point2(const t_vecteur *vecteur);

void t_vecteur_translater(t_vecteur *vecteur, double dx, double dy);

#endif // !T_VECTEUR_H_
