/*
Module: Polygone

Auteur: Anis Boubaker
Dernire modification: 2018-03-22
*/


#ifndef T_POLYGONE_H_
#define T_POLYGONE_H_

#include <stdlib.h>
#include "t_point.h"

//Dfnition du type polygone
typedef struct t_polygone {
	t_point **points;
	int nb_points;
} t_polygone;

t_polygone *t_polygone_init(int nb_points);

void t_polygone_destroy(t_polygone *polygone);

int t_polygone_get_nb_points(const t_polygone *polygone);

//Dfinit les coordonnes du point num_point
void t_polygone_set_pointx(t_polygone *polygone, int num_point, double x, double y);

void t_polygone_ajouter_point(t_polygone *polygone, double x, double y);

//Calcule le primtre du polygone en additionnant la distance entre ses points
double t_polygone_calculer_perimetre(t_polygone *polygone);

#endif // !T_POLYGONE_H_
