#include "t_vecteur.h"

t_vecteur * t_vecteur_init(double x1, double y1, double x2, double y2)
{
	t_vecteur *nouv_vecteur; 

	nouv_vecteur = (t_vecteur*)malloc(sizeof(t_vecteur));

	//Cration des deux points qui constituent le vecteur
	nouv_vecteur->p1 = t_point_init_coords(x1, y1);
	nouv_vecteur->p2 = t_point_init_coords(x2, y2);

	return nouv_vecteur;
}

void t_vecteur_destroy(t_vecteur * vecteur)
{
	//On commence par dtruire les points qu'on a crs  la cration du vecteur
	t_point_destroy(vecteur->p1);
	t_point_destroy(vecteur->p2);

	//Puis on libre la mmoire du vecteur
	free(vecteur);
}

t_point * t_vecteur_get_point1(const t_vecteur * vecteur)
{
	return vecteur->p1;
}

t_point * t_vecteur_get_point2(const t_vecteur * vecteur)
{
	return vecteur->p2;
}

void t_vecteur_translater(t_vecteur * vecteur, double dx, double dy)
{
	t_point_deplacer(vecteur->p1, dx, dy);
	t_point_deplacer(vecteur->p2, dx, dy);
}
